### Function

# Foundry SimpleTextBuffer new_for_string

#### Declaration [src]

    FoundryTextBuffer*
    foundry_simple_text_buffer_new_for_string (
      const char* string,
      gssize len
    )

#### Description

No description available.

#### Parameters

`string`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`len`

  Type: `gssize`

  No description available.

#### Return value

Type: `FoundryTextBuffer`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.